
float4x4 projMat;
float4x4 modelViewMat;
float3 lightDir;

struct VS_DEFAULT_OUTPUT 
{
   float4 position: POSITION;
   //float3 normal: NORMAL;
   float2 texture_coord: TEXCOORD0;
   //float3 color_vs : COLOR;
};

VS_DEFAULT_OUTPUT main(float3 position: POSITION, float2 texCoord: TEXCOORD0, float3 normal: NORMAL)
{
	VS_DEFAULT_OUTPUT Out;
	Out.position = mul( mul(projMat, modelViewMat), float4(position.x, position.y, position.z, 1.f) );
	Out.texture_coord = texCoord;
	
	/*
	float3 normalTransformed = normalize( mul((float3x3)modelViewMat, normal));
	float light = 1.0f - dot(normalize(float3( 0.3, -0.9, 0.15)), normalTransformed);
	light = 1.0f - light*light;
	Out.color_vs = float3(light, light, light);
	*/
	
	return Out;
}